# Uses of Interface
org.opensaml.saml.ext.saml2alg.SigningMethod

Packages that use SigningMethod
Package
Description
org.opensaml.saml.ext.saml2alg.impl
Implementation for SAML v2.0 Metadata Profile for Algorithm Support Version 1.0.
org.opensaml.saml.security.impl
Classes related to verifying various credentials within a SAML system.

## Uses of SigningMethod in org.opensaml.saml.ext.saml2alg.impl

Classes in org.opensaml.saml.ext.saml2alg.impl that implement SigningMethod
Modifier and Type
Class
Description
`class`
`SigningMethodImpl`
Implementation of `SigningMethod`.
Methods in org.opensaml.saml.ext.saml2alg.impl that return SigningMethod
Modifier and Type
Method
Description
`SigningMethod`
SigningMethodBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`SigningMethod`
SigningMethodBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.

## Uses of SigningMethod in org.opensaml.saml.security.impl

Methods in org.opensaml.saml.security.impl with parameters of type SigningMethod
Modifier and Type
Method
Description
`protected boolean`
SAMLMetadataSignatureSigningParametersResolver.`credentialSupportsSigningMethod(Credential credential, SigningMethod signingMethod)`
Evaluate whether the specified credential is supported for use with the specified `SigningMethod`.